#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin >> n >> k;

    int niz[n];
    for(int i=0;i <n;i++){
        cin>> niz[i];
    }
    for(int i=0;i <n;i++){
        if(niz[i]==k){
            cout<<niz[(i+1)%n ];
        }
    }

}